Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.showutil.BuildGeometry Namespace Reference

## Functions
| addArrow (attachNode, sizeX, sizeY, color=Vec4(1.0, 1.0, 1.0, 1.0), layer=0)
| addArrowGeom (rootNode, sizeX, sizeY, color=Vec4(1.0, 1.0, 1.0, 1.0), layer=0)
| addBox (attachNode, sizeX, sizeY, sizeZ, color=Vec4(1.0, 1.0, 1.0, 1.0), darken=0)
| addBoxGeom (rootNode, sizeX, sizeY, sizeZ, color=Vec4(1.0, 1.0, 1.0, 1.0), darken=0)
| addCircle (attachNode, vertexCount, radius, color=Vec4(1.0, 1.0, 1.0, 1.0), centerColor=None, layer=0)
| addCircleGeom (rootNode, vertexCount, radius, color=Vec4(1.0, 1.0, 1.0, 1.0), centerColor=None, layer=0)
| addSquare (attachNode, sizeX, sizeY, color=Vec4(1.0, 1.0, 1.0, 1.0), layer=0)
| addSquareGeom (rootNode, sizeX, sizeY, color=Vec4(1.0, 1.0, 1.0, 1.0), layer=0)
| circleX (angle, radius, centerX, centerY)
| circleY (angle, radius, centerX, centerY)
| getCirclePoints (segCount, centerX, centerY, radius, wideX=1.0, wideY=1.0)

## Variables
int | GEO_ID = 0

## Function Documentation

## ◆ addArrow()

addArrow | ( |  | attachNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | layer = 0 )

## ◆ addArrowGeom()

addArrowGeom | ( |  | rootNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | layer = 0 )

## ◆ addBox()

addBox | ( |  | attachNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | sizeZ,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | darken = 0 )

## ◆ addBoxGeom()

addBoxGeom | ( |  | rootNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | sizeZ,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | darken = 0 )

## ◆ addCircle()

addCircle | ( |  | attachNode,
|  |  | vertexCount,
|  |  | radius,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | centerColor = None,
|  |  | layer = 0 )

## ◆ addCircleGeom()

addCircleGeom | ( |  | rootNode,
|  |  | vertexCount,
|  |  | radius,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | centerColor = None,
|  |  | layer = 0 )

## ◆ addSquare()

addSquare | ( |  | attachNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | layer = 0 )

## ◆ addSquareGeom()

addSquareGeom | ( |  | rootNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = Vec4(1.0, 1.0, 1.0, 1.0),
|  |  | layer = 0 )

## ◆ circleX()

circleX | ( |  | angle,
|  |  | radius,
|  |  | centerX,
|  |  | centerY )

## ◆ circleY()

circleY | ( |  | angle,
|  |  | radius,
|  |  | centerX,
|  |  | centerY )

## ◆ getCirclePoints()

getCirclePoints | ( |  | segCount,
|  |  | centerX,
|  |  | centerY,
|  |  | radius,
|  |  | wideX = 1.0,
|  |  | wideY = 1.0 )

## Variable Documentation

## ◆ GEO_ID

int GEO_ID = 0